# install these packages into /opt if we have a prefix defined for the
# java packages
%{?java_pkg_prefix: %define _prefix /opt/frysk }
%{?java_pkg_prefix: %define _sysconfdir %{_prefix}/etc }
%{?java_pkg_prefix: %define _localstatedir %{_prefix}/var }
%{?java_pkg_prefix: %define _infodir %{_prefix}/share/info }
%{?java_pkg_prefix: %define _mandir %{_prefix}/share/man }
%{?java_pkg_prefix: %define _defaultdocdir %{_prefix}/share/doc }

%{!?c_pkg_prefix: %define c_pkg_prefix %{nil}}
%{!?java_pkg_prefix: %define java_pkg_prefix %{nil}}

%define	name_base	libgnome-java

Summary:	Java bindings for libgnome
Name:		%{java_pkg_prefix}%{name_base}	
Version:	2.12.4
Release: 	12%{?dist}
License:	LGPLv2
Group:		Development/Libraries
URL:		http://java-gnome.sourceforge.net
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name_base}/2.12/%{name_base}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Patch:		%{name}-gjavah.patch

Requires:	libgnomeui >= 2.11.0
Requires:	libgnomecanvas >= 2.11.0
Requires:	libgtk-java >= 2.8.6
Requires: 	glib-java >= 0.2.4
BuildRequires:	libgnomeui-devel >= 2.11.0
BuildRequires:	libgnomecanvas-devel >= 2.11.0
BuildRequires:	gcc-java >= 4.1.1, docbook-utils
BuildRequires:	libgtk-java-devel >= 2.8.6, java-devel >= 1.4.2
BuildRequires:	glib-java-devel >= 0.2.6

%description
libgnome-java is a language binding that allows developers to write
GNOME applications in Java.  It is part of Java-GNOME.

%package       devel
Summary:	Compressed Java source files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgnomeui-devel
Requires:	libgnomecanvas-devel
Requires:	libgtk-java-devel
Requires:	glib-java-devel


%description    devel
Development part of %{name}.

%prep
%setup -q -n %{name_base}-%{version}
%patch
touch aclocal.m4
touch configure Makefile.in

%build
# if either the C or Java packages has a prefix declared, then we will
# add /opt/frysk/lib/pkgconfig to the pkgconfig path
if  [  'x%{java_pkg_prefix}' != 'x' ] || [ 'x%{c_pkg_prefix}' != 'x' ]; then
	export PKG_CONFIG_PATH=/opt/frysk/lib/pkgconfig
fi

# Two workarounds:
# 1) libtool.m4 calls gcj with $CFLAGS and gcj seems to choke on -Wall.
# 2) libtool does not use pic_flag when compiling, so we have to force it.
RPM_OPT_FLAGS=${RPM_OPT_FLAGS/-Wall /}
%configure CFLAGS="$RPM_OPT_FLAGS" GCJFLAGS="-O2 -fPIC"

make %{?_smp_mflags}

# pack up the java source
find src/java -name \*.java -newer ChangeLog | xargs touch -r ChangeLog
(cd src/java && find . -name \*.java | sort | xargs zip -X -9 src.zip)
touch -r ChangeLog src/java/src.zip


%install
rm -rf %{buildroot}

make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install

# rename doc dir to reflect package rename, if the names differ
if [ 'x%{name_base}' != 'x%{name}' ] ; then
	mv $RPM_BUILD_ROOT%{_docdir}/%{name_base}-%{version} $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
fi

# Remove unpackaged files:
rm $RPM_BUILD_ROOT/%{_libdir}/*.la

# install the src zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name_base} | sed 's/-.*//;s/^lib//')
zipfile=$jarname$jarversion-src-%{version}.zip
install -m 644 src/java/src.zip $RPM_BUILD_ROOT%{_datadir}/java/$zipfile
(cd $RPM_BUILD_ROOT%{_datadir}/java &&
  ln -sf $zipfile $jarname$jarversion-src.zip)


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libgnomejava-*.so
%{_libdir}/libgnomejni-*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%doc doc/api
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgnomejava.so
%{_libdir}/libgnomejni.so
%{_datadir}/java/*.zip

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 Alex Lancaster <alexlan[AT] fedoraproject org> - 2.12.4-10
- Rebuild for new GCC 4.4 to fix broken deps

* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.12.4-9
- fix license tag

* Fri Feb  1 2008 Stepan Kasal <skasal@redhat.com> - 2.12.4-8
- rebuild for new gcc

* Fri Apr 20 2007 Stepan Kasal <skasal@redhat.com> - 2.12.4-7
- Adhere to packaging guidelines.
- Resolves: #226014

* Mon Mar  5 2007 Stepan Kasal <skasal@redhat.com> - 2.12.4-6
- Add patch for gcjh -> gjavah; touch aclocal.m4, configure, Makefile.in
  after applying it.
- Force -fPIC and avoid -Wall with gcj/ecj.

* Wed Feb 21 2007 Andrew Overholt <overholt@redhat.com> 2.12.4-5
- Rebuild for new gcj.

* Wed Feb 14 2007 Stepan Kasal <skasal@redhat.com> - 2.12.4-4
- Move doc/api to -devel.

* Thu Oct  5 2006 Stepan Kasal <skasal@redhat.com> - 2.12.4-3
- Fix the source packing: preserve source timestamps and prevent multilib
  conflicts. (#192704)

* Wed Aug 30 2006 Stepan Kasal <skasal@redhat.com> - 2.12.4-2
- Do not pack the *.la files.
- Move the *.so symlinks to -devel.

* Sun Aug 13 2006 Stepan Kasal <skasal@redhat.com> - 2.12.4-1
- New upstream version.
- Use the %%{?dist} tag.
- Use `make %%{?_smp_mflags}'.
- Move pkgconfig description to -devel subpackage.
- The -devel subpackage now requires several -devel packages.
- Update requires and buildrequires.

* Sun Jul 23 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.12.3-2
- Bump release number. (dist-fc6-java)

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 2.12.3-1
- Release 0 is not allowed.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.12.3-0.1
- rebuild

* Sun Jun 18 2006 Stepan Kasal <skasal@redhat.com> - 2.12.3-0
- Use .tar.bz2, not tar.gz.

* Thu Jun 15 2006 Stepan Kasal <skasal@redhat.com> - 2.12.3-0
- New version.

* Wed May 24 2006 Ben Konrath <bkonrath@redhat.com> - 2.12.2-2
- Change mod time of all java source files for the src zip.

* Tue May 23 2006 Ben Konrath <bkonrath@redhat.com> - 2.12.2-1
- Add -X to src zip and ensure Config.java has the same mod time across
  platforms - needed for multilib.

* Tue May  2 2006 Stepan Kasal <skasal@redhat.com> - 2.12.2-0
- New upstream version.
- Fix the (Build)Requires according to the configure.ac.
- Try to build on s390x again.

* Wed Mar 01 2006 Adam Jocksch <ajocksch@redhat.com> - 2.12.1.0.20060301.rh1-0
- Imported new tarball to address bug 183538, updated dependancies.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.12.1-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.12.1-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> - 2.12.1-2
- rebuilt again

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Oct 26 2005 Igor Foox <ifoox@rehdat.com> - 2.12.1-1
- Updated to released 2.12.1 sources from upstream.
- Excluded s390x.

* Wed Oct 05 2005 Igor Foox <ifoox@redhat.com> - 2.12.0-2
- Import released 2.12.0 sources from upstream.
- Change optional installation path to /opt/frysk from /opt.
- Change build dependency on glib-java and libgtk-java to -devel.

* Sat Sep 24 2005 Igor Foox <ifoox@redhat.com> - 2.12.0-1
- Import libgnome-java 2.12.0.

* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-3
- Fix permission on src zip.

* Thu May 19 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-2
- Add compressed java source to devel package.

* Tue Apr 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.1-1
- Import libgnome-java 2.10.1.

* Sat Apr  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.0-1
- Import libgnome-java 2.10.0.

* Fri Mar  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.92-1
- Require libgtk-java and java for build.
- Import libgnome-java 2.9.92.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91.1-1
- Import libgnome-java 2.9.91.1.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-2
- Only build on i386 and x86_64.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-1
- Import libgnome-java 2.9.91.

* Fri Feb  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.90-1
- Import libgnome-java 2.9.90.

* Sat Nov 27 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-1
- Update sources

* Tue Nov  2 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-3
- Require libgtk-java for build.

* Tue Nov  2 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-2
- Don't build on s390.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-1
- Initial release.
